## org.ascape.query.parser
Class SimpleNode

    java.lang.Object
      org.ascape.query.parser.SimpleNode

All Implemented Interfaces:
  Node

Direct Known Subclasses:
  QTBooleanAnd, QTBooleanOr, QTBooleanPhrase, QTComparisonOperator, QTCriteria, QTCriteriaSubNode, QTField, QTInput, QTProperty, QTSubExpression, QTWildCard

    public class SimpleNode

extends java.lang.Object
implements Node

Field Summary
`protected Node[]` `children`
`protected int` `id`
`protected Node` `parent`
`protected BoolExprTree` `parser`

Constructor Summary
`SimpleNode(BoolExprTree p, int i)`
`SimpleNode(int i)`

Method Summary
`void` `dump(java.lang.String prefix)`
`void` `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.
`void` `jjtClose()` This method is called after all the child nodes have been added.
`Node` `jjtGetChild(int i)` This method returns a child node.
`int` `jjtGetNumChildren()` Return the number of children the node has.
`Node` `jjtGetParent()`
`void` `jjtOpen()` This method is called after the node has been made the current node.
`void` `jjtSetParent(Node n)` This pair of methods are used to inform the node of its parent.
`java.lang.String` `toString()`
`java.lang.String` `toString(java.lang.String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### parent

    protected Node parent

### children

    protected Node[] children

### id

    protected int id

### parser

    protected BoolExprTree parser

Constructor Detail

### SimpleNode

    public SimpleNode(int i)

### SimpleNode

    public SimpleNode(BoolExprTree p,
                      int i)

Method Detail

### jjtOpen

    public void jjtOpen()

  Description copied from interface: `Node`
  This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.

  Specified by:
    `jjtOpen` in interface `Node`

### jjtClose

    public void jjtClose()

  Description copied from interface: `Node`
  This method is called after all the child nodes have been added.

  Specified by:
    `jjtClose` in interface `Node`

### jjtSetParent

    public void jjtSetParent(Node n)

  Description copied from interface: `Node`
  This pair of methods are used to inform the node of its parent.

  Specified by:
    `jjtSetParent` in interface `Node`

### jjtGetParent

    public Node jjtGetParent()

  Specified by:
    `jjtGetParent` in interface `Node`

### jjtAddChild

    public void jjtAddChild(Node n,
                            int i)

  Description copied from interface: `Node`
  This method tells the node to add its argument to the node's list of children.

  Specified by:
    `jjtAddChild` in interface `Node`

### jjtGetChild

    public Node jjtGetChild(int i)

  Description copied from interface: `Node`
  This method returns a child node. The children are numbered from zero, left to right.

  Specified by:
    `jjtGetChild` in interface `Node`

### jjtGetNumChildren

    public int jjtGetNumChildren()

  Description copied from interface: `Node`
  Return the number of children the node has.

  Specified by:
    `jjtGetNumChildren` in interface `Node`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toString

    public java.lang.String toString(java.lang.String prefix)

### dump

    public void dump(java.lang.String prefix)